diff --git b/debian/changelog a/debian/changelog
index 92b7989..f0bef69 100644
--- b/debian/changelog
+++ a/debian/changelog
@@ -1,3 +1,9 @@
+finish-install (2.99) UNRELEASED; urgency=medium
+
+  * Make compatible with rootskel_1.127 multiple console support (90consoles)
+
+ -- Wookey <wookey@debian.org>  Fri, 22 Feb 2019 17:49:16 +0000
+
 finish-install (2.98) unstable; urgency=medium
   * Team upload
 
diff --git b/finish-install.d/90console a/finish-install.d/90console
index bd2f528..5807502 100755
--- b/finish-install.d/90console
+++ a/finish-install.d/90console
@@ -38,11 +38,10 @@ case "$(udpkg --print-os)" in
 	hurd)
                 # TODO: detect VGA hurd console, and enable it in installed
                 # system.
-		console=console
+		consoles=/dev/console
 		;;
 	*)
-		console=$(cat /var/run/console-device)
-		console=${console#/dev/}
+		consoles="$(cat /var/run/console-devices)"
 		;;
 esac
 
@@ -60,50 +59,54 @@ else
 	upstart_tty1=
 fi
 
-case "$console" in
-    tty[A-Zu]*|duart*)
-	log "Configuring init for serial console"
-	consoletype=${console%%[0-9]*}
-	ttyline=${console#$consoletype}
-	ttyspeed=$(chroot /target stty --file /dev/$console speed)
-	ttyterm="$TERM"
-
-	flowctrlarg=""
-	if uses_hw_flowcontrol $console; then
-		flowctrlarg="-h "
-	fi
-
-	if [ -z "$ttyterm" ]; then ttyterm=vt100; fi
-	if [ -z "$ttyspeed" ]; then ttyspeed=9600; fi
+for console in $consoles
+do
+	console=${console#/dev/}
+	case "$console" in
+	    tty[A-Zu]*|duart*)
+		log "Configuring init for serial console"
+		consoletype=${console%%[0-9]*}
+		ttyline=${console#$consoletype}
+		ttyspeed=$(chroot /target stty --file /dev/$console speed)
+		ttyterm="$TERM"
+
+		flowctrlarg=""
+		if uses_hw_flowcontrol $console; then
+			flowctrlarg="-h "
+		fi
 
-	if [ -f /target/etc/inittab ]; then
-		# Disable regular VTs
-		if [ -z "$KEEP_VT" ]; then
-			sed -i -e "s/^\([1-6]\):/#\1:/" /target/etc/inittab
+		if [ -z "$ttyterm" ]; then ttyterm=vt100; fi
+		if [ -z "$ttyspeed" ]; then ttyspeed=9600; fi
+
+		if [ -f /target/etc/inittab ]; then
+			# Disable regular VTs
+			if [ -z "$KEEP_VT" ]; then
+				sed -i -e "s/^\([1-6]\):/#\1:/" /target/etc/inittab
+			fi
+			# Enable serial console
+			sed -i -e "s/^#T0\(.*\)ttyS.*/T$ttyline\1$console $ttyspeed $ttyterm/" \
+			    /target/etc/inittab
+			sed -i -e "s/^\(T$ttyline.*\) -8/\1/" /target/etc/inittab
+			sed -i -e "s/^\(T$ttyline.* \)-L/\1$flowctrlarg-L/" /target/etc/inittab
+		fi
+		if [ "$upstart_tty1" ]; then
+			sed -e "s/^\(exec.*getty \).*/\1-L $console $ttyspeed $ttyterm/" \
+			    -e "s/tty1/$console/g" \
+			    "$upstart_tty1" > "$(upstart_console "$console")"
+			sed -i -e "s/^\(exec.*\) -8/\1/" "$(upstart_console "$console")"
+			sed -i -e "s/^\(exec.*\)-L/\1$flowctrlarg-L/" "$(upstart_console "$console")"
+		fi
+		if [ "$(readlink /target/sbin/init)" = "/lib/systemd/systemd" ] ; then
+			chroot /target systemctl --no-reload --quiet enable serial-getty@"$console".service
 		fi
-		# Enable serial console
-		sed -i -e "s/^#T0\(.*\)ttyS.*/T$ttyline\1$console $ttyspeed $ttyterm/" \
-		    /target/etc/inittab
-		sed -i -e "s/^\(T$ttyline.*\) -8/\1/" /target/etc/inittab
-		sed -i -e "s/^\(T$ttyline.* \)-L/\1$flowctrlarg-L/" /target/etc/inittab
-	fi
-	if [ "$upstart_tty1" ]; then
-		sed -e "s/^\(exec.*getty \).*/\1-L $console $ttyspeed $ttyterm/" \
-		    -e "s/tty1/$console/g" \
-		    "$upstart_tty1" > "$(upstart_console "$console")"
-		sed -i -e "s/^\(exec.*\) -8/\1/" "$(upstart_console "$console")"
-		sed -i -e "s/^\(exec.*\)-L/\1$flowctrlarg-L/" "$(upstart_console "$console")"
-	fi
-	if [ "$(readlink /target/sbin/init)" = "/lib/systemd/systemd" ] ; then
-		chroot /target systemctl --no-reload --quiet enable serial-getty@"$console".service
-	fi
 
-	write_console "$rawconsole" /target/etc/securetty
-	if [ -n "$console" ] && [ "$console" != "$rawconsole" ]; then
-		write_console "$console" /target/etc/securetty
-	fi
-	;;
-esac
+		write_console "$rawconsole" /target/etc/securetty
+		if [ -n "$console" ] && [ "$console" != "$rawconsole" ]; then
+			write_console "$console" /target/etc/securetty
+		fi
+		;;
+	esac
+done
 
 # Set up virtualized console via onboard service processor (hvsi/hvc)
 DT_ROOT=/proc/device-tree
